Loading...
Searching...
No Matches
pcl::ConstCloudIterator< PointT >::DefaultConstIterator Class Reference

`#include <pcl/impl/cloud_iterator.hpp>`

## Public Member Functions

| DefaultConstIterator (const PointCloud< PointT > &cloud)
| ~DefaultConstIterator () override=default
void | operator++ () override
void | operator++ (int) override
const PointT & | operator* () const override
const PointT * | operator-> () const override
unsigned | getCurrentPointIndex () const override
unsigned | getCurrentIndex () const override
std::size_t | size () const override
void | reset () override
bool | isValid () const override

## Detailed Description

template<typename PointT>
class pcl::ConstCloudIterator< PointT >::DefaultConstIterator

Author
  Suat Gedikli

Definition at line 188 of file cloud_iterator.hpp.

## Constructor & Destructor Documentation

## DefaultConstIterator()

template<typename PointT>

pcl::ConstCloudIterator< PointT >::DefaultConstIterator::DefaultConstIterator | ( | const PointCloud< PointT > & | cloud | ) |

inline

Definition at line 191 of file cloud_iterator.hpp.

## ~DefaultConstIterator()

template<typename PointT>

pcl::ConstCloudIterator< PointT >::DefaultConstIterator::~DefaultConstIterator | ( |  | ) |

override default

## Member Function Documentation

## getCurrentIndex()

template<typename PointT>

unsigned pcl::ConstCloudIterator< PointT >::DefaultConstIterator::getCurrentIndex | ( |  | ) | const

inline override

Definition at line 224 of file cloud_iterator.hpp.

## getCurrentPointIndex()

template<typename PointT>

unsigned pcl::ConstCloudIterator< PointT >::DefaultConstIterator::getCurrentPointIndex | ( |  | ) | const

inline override

Definition at line 219 of file cloud_iterator.hpp.

## isValid()

template<typename PointT>

bool pcl::ConstCloudIterator< PointT >::DefaultConstIterator::isValid | ( |  | ) | const

inline override

Definition at line 239 of file cloud_iterator.hpp.

## operator*()

template<typename PointT>

const PointT & pcl::ConstCloudIterator< PointT >::DefaultConstIterator::operator* | ( |  | ) | const

inline override

Definition at line 209 of file cloud_iterator.hpp.

## operator++() [1/2]

template<typename PointT>

void pcl::ConstCloudIterator< PointT >::DefaultConstIterator::operator++ | ( |  | ) |

inline override

Definition at line 199 of file cloud_iterator.hpp.

## operator++() [2/2]

template<typename PointT>

void pcl::ConstCloudIterator< PointT >::DefaultConstIterator::operator++ | ( | int |  | ) |

inline override

Definition at line 204 of file cloud_iterator.hpp.

## operator->()

template<typename PointT>

const PointT * pcl::ConstCloudIterator< PointT >::DefaultConstIterator::operator-> | ( |  | ) | const

inline override

Definition at line 214 of file cloud_iterator.hpp.

## reset()

template<typename PointT>

void pcl::ConstCloudIterator< PointT >::DefaultConstIterator::reset | ( |  | ) |

inline override

Definition at line 234 of file cloud_iterator.hpp.

## size()

template<typename PointT>

std::size_t pcl::ConstCloudIterator< PointT >::DefaultConstIterator::size | ( |  | ) | const

inline override

Definition at line 229 of file cloud_iterator.hpp.

The documentation for this class was generated from the following file:

- pcl/impl/cloud_iterator.hpp